Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context
Interface EmbeddedValueResolverAware

All Known Implementing Classes:
  FormattingConversionService, FormattingConversionServiceFactoryBean, JodaDateTimeFormatAnnotationFormatterFactory, NumberFormatAnnotationFormatterFactory, ScheduledAnnotationBeanPostProcessor

    public interface EmbeddedValueResolverAware

Interface to be implemented by any object that wishes to be notified of a StringValueResolver for the resolution of embedded definition values.

This is an alternative to a full ConfigurableBeanFactory dependency via the ApplicationContextAware/BeanFactoryAware interfaces.

Since:
  3.0.3
Author:
  Juergen Hoeller
See Also:
  `ConfigurableBeanFactory.resolveEmbeddedValue(java.lang.String)`

Method Summary
`void` | `setEmbeddedValueResolver(StringValueResolver resolver)` Set the StringValueResolver to use for resolving embedded definition values.

Method Detail

### setEmbeddedValueResolver

    void setEmbeddedValueResolver(StringValueResolver resolver)

  Set the StringValueResolver to use for resolving embedded definition values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD